Bug 539438 - wpa_supplicant crashes on resume
wpa_supplicant crashes on resume
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: wpa_supplicant (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 540290 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-20 02:04 EST by Gordon Messmer
Modified: 2010-12-03 22:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:07:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace for wpa_supplicant (2.13 KB, text/plain)
2009-11-20 02:04 EST, Gordon Messmer
no flags Details
More complete backtrace (9.17 KB, text/plain)
2010-04-11 21:07 EDT, Jonathan Larmour
no flags Details

  None (edit)
Description Gordon Messmer 2009-11-20 02:04:17 EST
Created attachment 372427 [details]
gdb backtrace for wpa_supplicant

Description of problem:
Occasionally wpa_supplicant will crash on resume.  This may be related to bug 538717.

abrt saved the core file.  I'll attach the backtrace from gdb as a file.  The crash looks like it's in glibc, but I'm assigning it here until we determine that's the case.

Version-Release number of selected component (if applicable):
wpa_supplicant-0.6.8-6.fc12.x86_64

How reproducible:
Frequent.

Steps to Reproduce:
1. Suspend
2. Resume
3. Repeat
  
Actual results:
Occasionally wpa_supplicant will crash.  NetworkManager and hald will frequently crash along with it due to their own bugs.
Comment 1 Tore Anderson 2009-11-20 03:06:42 EST
I'm also seeing this and can also provide more core files/debug info if necessary.

See also bug #538717 for the NetworkManager counterpart.

Tore
Comment 2 Dan Williams 2009-11-29 17:46:02 EST
*** Bug 540290 has been marked as a duplicate of this bug. ***
Comment 3 Dan Williams 2009-11-29 17:59:55 EST
Is there any chance you can get *another* backtrace from the supplicant and see if it dies in the same spot?  The backtrace you were able to get (thanks!) is quite odd, and probably indicates heap corruption since the segfault inside glibc memory allocation functions.  Also, if you're able to get the supplicant to die in gdb (start it under gdb initially using the arguments in /usr/share/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service) and it dies at the same place, please print out the value of 'buflen' from whatever stack frame wpa_driver_wext_get_range() is.  Thanks!
Comment 4 Jonathan Larmour 2010-04-11 21:07:41 EDT
Created attachment 405875 [details]
More complete backtrace

As requested I am able to generate a more complete backtrace (as generated by abrt). It appears to have failed in exactly the same way, and like the OP it happened on a resume after a suspend. As you can see, the value of 'buflen' in wpa_driver_wext_get_range() is 1068.

/var/log/wpa_supplicant.log doesn't show up anything of use.
Comment 5 Bug Zapper 2010-11-04 01:58:26 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 22:07:00 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.